# SoFontStyle Class Reference
[Nodes]

`#include <Inventor/nodes/SoFontStyle.h>`

Inheritance diagram for SoFontStyle:

List of all members.

## Detailed Description

The SoFontStyle class changes the appearance of fonts for text rendering nodes.

Successive text rendering nodes will use fonts with the style settings of this node, if a font with the given settings can be found and loaded from the system.

If the specified font style can not be found on the client system, a default fallback will be used. So the application programmer must consider SoFontStyle nodes as nodes giving hints about font settings, as you are not guaranteed to get exactly what you want.

Since:
  Inventor 2.1

See also:
  SoFont, SoText2, SoText3

## Public Types

enum | Family { SERIF, SANS, TYPEWRITER }
enum | Style { NONE, BOLD, ITALIC }

## Public Member Functions

| SoFontStyle (void)
SbString | getFontName (void) const
virtual void | doAction (SoAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | pick (SoPickAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFEnum | family
SoSFBitMask | style

## Protected Member Functions

virtual | ~SoFontStyle ()

## Member Enumeration Documentation

enum SoFontStyle::Family

| Enumeration of the font family to use.

enum SoFontStyle::Style

| Enumeration of font style characteristics.

## Constructor & Destructor Documentation

SoFontStyle::SoFontStyle | ( | void |  | ) |

| Constructor.

SoFontStyle::~SoFontStyle | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoFontStyle::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoFont.

SbString SoFontStyle::getFontName | ( | void |  | ) | const

| Returns a system-specific text string to use for font loading, based on the style settings of this node.

void SoFontStyle::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoFont.

void SoFontStyle::getBoundingBox | ( | SoGetBoundingBoxAction * | action | ) | `[virtual]`

Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculates their bounding box also overrides this method to change the relevant state variables.

Reimplemented from SoFont.

void SoFontStyle::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoFont.

void SoFontStyle::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoFont.

void SoFontStyle::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoFont.

void SoFontStyle::getPrimitiveCount | ( | SoGetPrimitiveCountAction * | action | ) | `[virtual]`

| Action method for the SoGetPrimitiveCountAction. Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action. Nodes influencing how geometry nodes calculates their primitive count also overrides this method to change the relevant state variables. Reimplemented from SoFont.

## Member Data Documentation

SoSFEnum SoFontStyle::family

| Font family hint.

SoSFBitMask SoFontStyle::style

| Font style hint.

The documentation for this class was generated from the following files:

- SoFontStyle.h
- SoFontStyle.cpp